/**
 * Theme Name: Twentytwentyfour-child
 * Template:   twentytwentyfour
 */
 :root {
    --couleur-principale: #1C2930;
    --couleur-secondaire: #367106;
    --wp--preset--font-size--small: 0.95rem;
    --wp--preset--font-size--medium: 1.15rem;
    --wp--preset--font-size--large: clamp(1.39rem, 1.39rem + ((1vw - 0.2rem) * 0.767), 1.85rem);
    --wp--preset--font-size--x-large: clamp(1.85rem, 1.85rem + ((1vw - 0.2rem) * 1.083), 2.5rem);
    --wp--preset--font-size--xx-large: clamp(2.5rem, 2.5rem + ((1vw - 0.2rem) * 1.283), 3.27rem);
}
 
/* TYPOGRAPHIES */
@font-face {
  font-family: 'Comfortaa-Bold';
  src: url('fonts/Comfortaa-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
}
@font-face {
  font-family: 'Jost-Bold';
  src: url('fonts/Jost-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
}
@font-face {
  font-family: 'Jost-Regular';
  src: url('fonts/Jost-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
}
@font-face {
  font-family: 'Jost-Italic';
  src: url('fonts/Jost-Italic.ttf') format('truetype');
  font-weight: 400;
  font-style: italic;
}
@font-face {
  font-family: 'PlayfairDisplay-Bold';
  src: url('fonts/PlayfairDisplay-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
}

@media (max-width: 769px) {
  .sticky h3{
     font-weight:normal;
     padding-left:5px; 
     padding-right:5px;
  }
}

/* style de base */
body{
    color: var(--couleur-principale);
    font-family: 'Jost-Regular';
    font-size: 18px;
}

h1, h2, h3 {
font-family: 'PlayfairDisplay-Bold', 'Jost-Bold', sans-serif;
}

/* Entête de page */

.wp-block-site-title{
    color: var(--couleur-secondaire);
    font-family: 'Comfortaa-Bold';
    font-size: 60px;
    letter-spacing: -7%;
}


/*sidebar */
 :where(.wp-site-blocks *:focus){outline-width:2px;outline-style:solid;}

.wp-block-latest-posts__list a{text-decoration:none;}

.wp-block-latest-posts__list li{line-height:1;}

/*galeries */
:root :where(.wp-block-gallery){
    margin-bottom: 20px;
}

/* Images-liens (accueil) */
.wp-block-post-featured-image a .wp-block-post-featured-image__overlay{display:none;}

.wp-block-post-featured-image a:hover .wp-block-post-featured-image__overlay{display:block;}

/* Divers */
.center{text-align:center;}
ul.wp-block-list li{margin-left:30px;}